RCSZilla Sürüm 1.0

Cihaz Kaydetme / Güncelleme

Mobil Uygulama Entegrasyon Kılavuzu

Cihaz Kaydetme / Güncelleme

POST /?endpoint=register_device

Sunucudaki cihaz meta verilerini (telefon numaraları, FCM token'ı, çift SIM işareti) günceller. Paneli senkronize tutmak için her uygulama başlatılışında çağırın.

İstek Gövdesi

Alan Tür Açıklama
phone_number string isteğe bağlı SIM 1 phone number. Kept unchanged if omitted.
phone_number2 string isteğe bağlı SIM 2 phone number. Kept unchanged if omitted.
is_dual_sim boolean isteğe bağlı Dual-SIM flag.
fcm_token string isteğe bağlı Firebase Cloud Messaging token. Kept unchanged if omitted.

Örnek İstek

cURL
curl -X POST "https://api.rcszilla.com/?endpoint=register_device" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR-DEVICE-TOKEN" \
  -d '{
    "phone_number": "+40712345678",
    "is_dual_sim": true,
    "phone_number2": "+40798765432"
  }'

Yanıt

JSON200 OK
{
  "success": true,
  "message": "Device registered.",
  "device": {
    "id": 7,
    "name": "My Pixel 7",
    "phone_number": "+40712345678",
    "phone_number2": "+40798765432",
    "is_dual_sim": "1",
    "status": "active"
  }
}